Class | Chef::RunList::VersionedRecipeList
In: | lib/chef/run_list/versioned_recipe_list.rb
Parent: | Array

### Methods

add_recipe new with_version_constraints with_version_constraints_strings with_versions

### Public Class methods

new()

### Public Instance methods

add_recipe(name, version=nil)
with_version_constraints()

Return an Array of Hashes, each of the form:

     {:name => RECIPE_NAME, :version_constraint => Chef::VersionConstraint }

with_version_constraints_strings()

Return an Array of Strings, each of the form:

     "NAME@VERSION"

with_versions()

[Validate]